<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__capsense__selftest_8h" kind="file" language="C++">
    <compoundname>cy_capsense_selftest.h</compoundname>
    <includes local="yes">cy_syslib.h</includes>
    <includes local="yes" refid="cy__capsense__common_8h">cy_capsense_common.h</includes>
    <includes local="yes" refid="cy__capsense__structure_8h">cy_capsense_structure.h</includes>
    <includedby local="yes" refid="cy__capsense_8h">cy_capsense.h</includedby>
    <includedby local="yes" refid="cy__capsense__control_8c">cy_capsense_control.c</includedby>
    <includedby local="yes" refid="cy__capsense__selftest_8c">cy_capsense_selftest.c</includedby>
    <includedby local="yes" refid="cy__capsense__sensing__v2_8c">cy_capsense_sensing_v2.c</includedby>
    <includedby local="yes" refid="cy__capsense__structure_8c">cy_capsense_structure.c</includedby>
    <incdepgraph>
      <node id="77">
        <label>cy_syslib.h</label>
      </node>
      <node id="76">
        <label>cy_capsense_selftest.h</label>
        <link refid="cy__capsense__selftest_8h" />
        <childnode refid="77" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy__capsense__selftest_8h_1ac5fe4415439197c1c2d6b6b869c937c9" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_BIST_ELTD_CAP_SNSCLK_DEFAULT</name>
        <initializer>(375000uL)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" bodystart="31" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="31" />
      </memberdef>
      <memberdef id="cy__capsense__selftest_8h_1aee802953ac52c0eee54503591fb62974" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_BIST_CAP_SETTLING_TIME_DEFAULT</name>
        <initializer>(2u)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" bodystart="33" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="33" />
      </memberdef>
      <memberdef id="cy__capsense__selftest_8h_1ab2507f4af9281e8032caac62016a7e8a" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_BIST_RUN_AVAILABLE_SELF_TEST_MASK</name>
        <initializer>(<ref kindref="member" refid="group__group__capsense__macros__bist_1gaf6a480c02e7a3a4ca1fa50cda24a3e8e">CY_CAPSENSE_BIST_CRC_WDGT</ref> | \
                                                       <ref kindref="member" refid="group__group__capsense__macros__bist_1gafd76f6da0c8ed4c0dca59bf7b8f47862">CY_CAPSENSE_BIST_SNS_INTEGRITY</ref> | \
                                                       <ref kindref="member" refid="group__group__capsense__macros__bist_1ga7a70fd9ae5d792a460d04120e2df2b55">CY_CAPSENSE_BIST_SNS_CAP</ref> | \
                                                       <ref kindref="member" refid="group__group__capsense__macros__bist_1gacf178da162ea92fc5389fcc8bf93f589">CY_CAPSENSE_BIST_SHIELD_CAP</ref> | \
                                                       <ref kindref="member" refid="group__group__capsense__macros__bist_1ga8666df7414f013c4f1da4318e3059bd3">CY_CAPSENSE_BIST_EXTERNAL_CAP</ref> |\
                                                       <ref kindref="member" refid="group__group__capsense__macros__bist_1ga4b864e7c2baf72558e907db63f7e618e">CY_CAPSENSE_BIST_VDDA</ref>)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="36" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__capsense__enums_1ga07f6f8cbe8fa1cebb08e2bd44e9de29b" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_bist_external_cap_id_t</name>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29baf3745617d4c520ecd77a4b87a8fe8172" prot="public">
          <name>CY_CAPSENSE_BIST_CMOD_ID_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>ID for Cmod external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29bacfe90ee851fdb0c5990cf9c255c2142d" prot="public">
          <name>CY_CAPSENSE_BIST_CINTA_ID_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>ID for CintA external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29ba8d03343ec314140673d8b7034caeacc8" prot="public">
          <name>CY_CAPSENSE_BIST_CINTB_ID_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>ID for CintB external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29ba86cb63cafed2d806f3a916f9ab51890f" prot="public">
          <name>CY_CAPSENSE_BIST_CSH_ID_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>ID for Csh external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_bist_external_cap_id_t: </bold><linebreak />Defines IDs of the external capacitors.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="54" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_RunSelfTest</definition>
        <argsstring>(uint32_t testEnMask, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_RunSelfTest</name>
        <param>
          <type>uint32_t</type>
          <declname>testEnMask</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Runs built-in self-tests specified by the test enable mask. </para>        </briefdescription>
        <detaileddescription>
<para>The function performs various self-tests on all the enabled widgets and sensors in the project. Select the required set of tests using the bit-mask in testEnMask parameter.</para><para>Use CY_CAPSENSE_TST_RUN_SELF_TEST_MASK to execute all the self-tests or any combination of the masks (defined in testEnMask parameter) to specify the desired test list.</para><para>To execute a single-element test (i.e. for one widget or one sensor), the following low-level functions are available:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga8266fcf05ad962580844a2c9c01f2fb8">Cy_CapSense_CheckCRCWidget()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1gadcc9fa570b4c5aa91c66570f5c6f57d4">Cy_CapSense_CheckIntegritySensorPins()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga3bf9894c313d4ffce1be841141d6b8e5">Cy_CapSense_MeasureCapacitanceSensor()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1gacc9c800180cd40a8ca3e53321d6a249b">Cy_CapSense_MeasureCapacitanceShield()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga80ad1c421ea794bd493bb37e76c48a2b">Cy_CapSense_MeasureCapacitanceCap()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga0214428f5737ef46a2f755620c4e7316">Cy_CapSense_MeasureVdda()</ref></para></listitem></itemizedlist>
</para><para>Refer to these functions descriptions for detail information on the corresponding test.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>testEnMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the tests to be executed. Each bit corresponds to one test. It is possible to launch the function with any combination of the available tests.<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_CRC_WDGT - Verifies the RAM widget structure CRC for all the widgets.</para></listitem><listitem><para>CY_CAPSENSE_BIST_SNS_INTEGRITY - Checks all the sensors for a short to GND / VDD / other sensors.</para></listitem><listitem><para>CY_CAPSENSE_BIST_SNS_CAP - Measures all the sensors capacitance.</para></listitem><listitem><para>CY_CAPSENSE_BIST_SHIELD_CAP - Measures the shield capacitance.</para></listitem><listitem><para>CY_CAPSENSE_BIST_EXTERNAL_CAP - Measures the capacitance of the available external capacitors.</para></listitem><listitem><para>CY_CAPSENSE_BIST_VDDA - Measures the VDDA voltage.</para></listitem><listitem><para>CY_CAPSENSE_TST_RUN_SELF_TEST_MASK - Executes all available tests.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a bit-mask with a status of execution of the specified tests:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - All the tests passed successfully.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The function was not performed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - A non-defined test was requested in the testEnMask parameter or the context is a NULL pointer. The function was not performed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_HW_BUSY_E - The CSD HW block is busy with a previous operation. The function was not performed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_ERROR_E - An unexpected fault occurred during the measurement, you may need to repeat the measurement.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FAIL_E - Any of tests specified by the testEnMask parameters has faulted. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="457" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="72" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga8266fcf05ad962580844a2c9c01f2fb8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_CheckCRCWidget</definition>
        <argsstring>(uint32_t widgetId, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CheckCRCWidget</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Checks the stored CRC of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> data structure of the specified widget. </para>        </briefdescription>
        <detaileddescription>
<para>This function validates the data integrity of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> data structure of the specified widget by calculating the CRC and comparing it with the stored CRC value of the specified widget.</para><para>Initially, after the device power up, the <ref kindref="member" refid="group__group__capsense__high__level_1gade28f1f915ce6b97f13399074a819c0d">Cy_CapSense_Enable()</ref> function calculates CRC for each widget and stores them in the .ptrWdgtCrc[] array of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure. The test execution compares this stored CRC value with the newly calculated and if the stored and calculated CRC values differ:<orderedlist>
<listitem><para>The calculated CRC is stored to the .wdgtCrcCalc field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> data structure.</para></listitem><listitem><para>The widget ID is stored to the .crcWdgtId field.</para></listitem><listitem><para>The CY_CAPSENSE_BIST_CRC_WDGT bit is set in the .testResultMask field.</para></listitem></orderedlist>
</para><para>The function never clears the CY_CAPSENSE_BIST_CRC_WDGT bit. If the CY_CAPSENSE_BIST_CRC_WDGT bit is set, the wdgtCrcCalc and .crcWdgtId fields are not updated.</para><para>It is recommended to use the <ref kindref="member" refid="group__group__capsense__low__level_1ga780c1508cc90d688be3b73d6b2771510">Cy_CapSense_SetParam()</ref> function to change the value of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> data structure elements as the CRC is updated by <ref kindref="member" refid="group__group__capsense__low__level_1ga780c1508cc90d688be3b73d6b2771510">Cy_CapSense_SetParam()</ref> function.</para><para>You can initiate this test by the <ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest()</ref> function with the CY_CAPSENSE_BIST_CRC_WDGT mask as an input.</para><para>The function clears the CY_CAPSENSE_WD_WORKING_MASK bit of the .status field in <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure if the calculated CRC value differs to the stored CRC value. Those non-working widgets are skipped by the high-level scanning and processing functions. Restoring a widget to its working state should be done by the application level.</para><para>For details of the used CRC algorithm, refer to the <ref kindref="member" refid="group__group__capsense__low__level_1ga2de812825cd421ee05fec733206e157a">Cy_CapSense_GetCRC()</ref> function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The stored CRC matches the calculated CRC.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FAIL_E - The widget CRC differs to the stored CRC.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameters are invalid. The test was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The test was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="568" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="525" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="82" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga617c2c407a13538ca6662314402e3f61" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_CheckIntegritySensorRawcount</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, uint16_t rawcountHighLimit, uint16_t rawcountLowLimit, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CheckIntegritySensorRawcount</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>rawcountHighLimit</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>rawcountLowLimit</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Checks the raw count of the specified widget/sensor is within the specified range. </para>        </briefdescription>
        <detaileddescription>
<para>The raw count is within a specific range (based on the calibration target) for good units. The function checks whether or not the raw count is within the user-defined limits in the ranges function arguments. If the raw count is out of limits, this function sets the CY_CAPSENSE_BIST_RAW_INTEGRITY bit in the .testResultMask field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para><para>This function does not update the CY_CAPSENSE_WD_WORKING_MASK bit of the .status field in <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure and is not available in the <ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest()</ref> function.</para><para>Use this function to verify the uniformity of sensors, for example, at mass-production or during an operation phase together with the <ref kindref="member" refid="group__group__capsense__low__level_1gab5574b4c085f9cf891457cbf835e6ca1">Cy_CapSense_CheckIntegritySensorBaseline()</ref> function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the sensor within the widget. A macro for the sensor ID within the specified widget can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_SNS&lt;SensorNumber&gt;_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rawcountHighLimit</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the upper limit for the widget/sensor raw count.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>rawcountLowLimit</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the lower limit for the widget/sensor raw count.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The raw count is within the specified range.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FAIL_E - The test failed and raw count is out of the specified limits.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The test was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The test was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="888" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="834" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="85" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1gab5574b4c085f9cf891457cbf835e6ca1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_CheckIntegritySensorBaseline</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, uint16_t baselineHighLimit, uint16_t baselineLowLimit, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CheckIntegritySensorBaseline</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>baselineHighLimit</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>baselineLowLimit</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Checks if the baseline of the specified sensor is not corrupted by comparing it with its inverse copy and checks if the baseline is within the specified range. </para>        </briefdescription>
        <detaileddescription>
<para>The function checks whether or not the baseline binary inverted to its inverse copy is saved to the self-test baseline-inverse structure and is within the user-defined limits. If the baseline does not match its inverse copy or if the baseline is out of the user-defined limits, the function sets the CY_CAPSENSE_BIST_BSLN_INTEGRITY bit in the .testResultMask field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para><para>The test is integrated into the CapSense Middleware. All CapSense processing functions like <ref kindref="member" refid="group__group__capsense__high__level_1ga2a185db228d5cae975fbc92bd3bc6367">Cy_CapSense_ProcessAllWidgets()</ref> or <ref kindref="member" refid="group__group__capsense__low__level_1ga4d2ceb23fa0e3731878ad777f39474d2">Cy_CapSense_UpdateSensorBaseline()</ref> automatically verify the baseline value before using it and update its inverse copy after processing. If a baseline update fails, a CY_CAPSENSE_STATUS_BAD_DATA result is returned. The baseline initialization functions do not verify the baseline and update the baseline inverse copy.</para><para>This function does not update the CY_CAPSENSE_WD_WORKING_MASK bit of the .status field in <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure and is not available in the <ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest()</ref> function.</para><para>Use this function to verify the uniformity of sensors, for example, at mass-production or during an operation phase together with the <ref kindref="member" refid="group__group__capsense__low__level_1ga617c2c407a13538ca6662314402e3f61">Cy_CapSense_CheckIntegritySensorRawcount()</ref> function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the sensor within the widget. A macro for the sensor ID within the specified widget can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_SNS&lt;SensorNumber&gt;_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>baselineHighLimit</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the upper limit for a baseline.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>baselineLowLimit</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the lower limit for a baseline.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The baseline is within the specified range.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FAIL_E - The test failed and the baseline is not binary inverted to its inverse copy or is out of the specified limits.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The test was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The test was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="775" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="716" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1gadcc9fa570b4c5aa91c66570f5c6f57d4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_CheckIntegritySensorPins</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_CheckIntegritySensorPins</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Checks the specified widget/sensor for shorts to GND, VDD or other sensors. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs several sub-tests to verify the specified sensor is not electrically shorted and is in a good condition to reliably detect user interactions.</para><para>This function performs tests to check if the specified sensor is shorted to:<itemizedlist>
<listitem><para>GND</para></listitem><listitem><para>VDD</para></listitem><listitem><para>Other GPIOs used by CapSense (such as sensors, Tx, Rx, shield electrodes, and external capacitors)</para></listitem><listitem><para>Other non-CapSense GPIOs (only if they are configured in a strong high or low state during the test execution).</para></listitem></itemizedlist>
</para><para>The absolute resistance of an electrical short must be less than 1500 Ohm including all series resistors on a sensor for a short to be detected to GND, VDD or GPIOs. For example, if a series resistor on a sensor is 560 Ohm (as recommended) and the sensor is shorted with another sensor, the function can detect a short with a short resistance up to 380 Ohm as there are two 560 ohm resistors between the shorted sensor GPIOs.</para><para>The function executes the following flow to detect a short:<itemizedlist>
<listitem><para>Configures all CapSense controlled GPIOs to strong-drive-high, and the specified sensor GPIO to resistive pull down mode.</para></listitem><listitem><para>Waits for a delay (defined by .snsIntgShortSettlingTime field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure) to get established all transient processes.</para></listitem><listitem><para>Checks the status of the specified sensor for the expected state (logic low).</para></listitem><listitem><para>Configures all CapSense controlled GPIOs to strong-drive-low, and the specified sensor GPIO to resistive pull up mode.</para></listitem><listitem><para>Waits for the above mentioned delay.</para></listitem><listitem><para>Checks the status of the specified sensor for the expected state (logic high).</para></listitem><listitem><para>Stores the test result in the CapSense Data Structure. A short is reported only when the sensor status check returns an unexpected state.</para></listitem></itemizedlist>
</para><para>Due to the sensor parasitic capacitance and internal pull-up/down resistance, logic high-to-low (and vice versa) transitions require a settling time before checking the sensor status. A 2us delay is used as a settling time and can be changed using the .snsIntgShortSettlingTime field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para><para>If a short is detected this function updates the following statuses:<itemizedlist>
<listitem><para>The widget ID is stored to the .shortedWdId field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para></listitem><listitem><para>The sensor ID is stored to the .shortedSnsId field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para></listitem><listitem><para>The CY_CAPSENSE_BIST_SNS_SHORT bit is set in the .testResultMask field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para></listitem><listitem><para>If CY_CAPSENSE_BIST_SNS_SHORT is already set due to a previously detected fault on any of the sensor, this function does not update the .shortedWdId and .shortedSnsId fields. For this reason, clear the CY_CAPSENSE_BIST_SNS_SHORT bit prior calling this function.</para></listitem><listitem><para>The widget is disabled by clearing the CY_CAPSENSE_WD_WORKING_MASK bit in the .status field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure of the specified widget. The disabled widget is ignored by high-level functions of scanning / data processing. To restore the widget operation the application layer should manually set the CY_CAPSENSE_WD_WORKING_MASK bit.</para></listitem></itemizedlist>
</para><para>To check all the project sensors at once, use the <ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest()</ref> function with the CY_CAPSENSE_BIST_SNS_SHORT mask.</para><para>To detect an electrical short or fault condition with resistance higher than 1500 ohm, the Cy_CapSense_GetSensorCapacitance() function can be used as the fault condition affects the measured sensor capacitance.</para><para>This test can be executed only if the CapSense Middleware is in the IDLE state. This function must not be called while CapSense Middleware is busy.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID of the sensor (electrode for CSX widgets) within the widget to be tested.</para></parameterdescription>
</parameteritem>
</parameterlist>
For the CSD widgets, a macro for the sensor ID within the specified widget can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_SNS&lt;SensorNumber&gt;_ID.</para><para>For the CSX widgets, sensorId is an electrode ID and is defined as Rx ID or Tx ID. The first Rx in a widget corresponds to electrodeId = 0, the second Rx in a widget corresponds to electrodeId = 1, and so on. The last Tx in a widget corresponds to electrodeId = (RxNum + TxNum - 1). Macros for Rx and Tx IDs can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as:<itemizedlist>
<listitem><para>CapSense_&lt;WidgetName&gt;_RX&lt;RXNumber&gt;_ID</para></listitem><listitem><para>CapSense_&lt;WidgetName&gt;_TX&lt;TXNumber&gt;_ID.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The sensor pin(s) are valid for CapSense operations.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FAIL_E - A short is detected on the specified sensor.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The test was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_HW_BUSY_E - The CSD HW block is busy with a previous operation. The function was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The test was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1084" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="1010" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="97" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga3bf9894c313d4ffce1be841141d6b8e5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_MeasureCapacitanceSensor</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, uint32_t *ptrValue, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_MeasureCapacitanceSensor</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>ptrValue</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Measures the specified CSD sensor / CSX electrode capacitance. </para>        </briefdescription>
        <detaileddescription>
<para>This function measures the capacitance of the sensor (electrode for CSX widgets) and returns the measurement status. For a CSX sensor, the measurement is done on either Rx or Tx electrode. For a CSD sensor, measurement is done on a sensor (refer to the sensorId parameter description). If the specified sensor (electrode) is a ganged sensor, the capacitance is measured for all the pins ganged together that belong to this sensor (electrode).</para><para>The measured capacitance is stored in the .eltdCap[] array. The .ptrEltdCapacitance field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref> structure contains a pointer to the first widget sensor (electrode) element within the .eltdCap[] array.</para><para>In addition to the measuring sensor (electrode) capacitance, this function is used to identify various fault conditions with sensors such as electrically-opened sensors. For example, the PCB track is broken or shorted to other nodes in the system - in all of these conditions, this function returns elevated capacitance which can be compared against predetermined capacitance for the sensor to detect a fault condition.</para><para>The sensor capacitance is measured independently of the sensor scan configuration. For the capacitance measurement, the CSD sensing method is used. The measurements consists of up to four scans with different IDAC current. The IDAC current of the first measurement is 6 uA and each next measurement the IDAC current increase by four times. The default scanning parameters are the following:<itemizedlist>
<listitem><para>I (6 uA) is the current equal to IDAC Gain * IDAC Code (Compensation IDAC is disabled).</para></listitem><listitem><para>Res (12 bits) is the scanning resolution.</para></listitem><listitem><para>Vref (1.2 V) is the reference voltage.</para></listitem><listitem><para>SnsClk (375 kHz) is the sensor clock frequency.</para></listitem></itemizedlist>
</para><para>If the scanning raw count is within 7.5% to 45% range of a maximum raw count the raw count is converted into capacitance using the following equation:</para><para>Cs = Rawcount * I / ((2^Res - 1) * Vref * SnsClk)</para><para>where:<itemizedlist>
<listitem><para>Cs is the sensor capacitance.</para></listitem><listitem><para>Rawcount is the measured raw count value.</para></listitem></itemizedlist>
</para><para>If the raw count is less than 7.5% of the maximum limit (2^Res - 1), the function stops scanning the sequence and returns the CY_CAPSENSE_BIST_LOW_LIMIT_E status.</para><para>If the raw count is between 7.5% and 45% of the maximum, the function calculates the sensor capacitance, updates the register map and returns CY_CAPSENSE_BIST_SUCCESS_E status.</para><para>If the raw count is above 45% of the maximum, the function repeats scanning with a 4x increased IDAC current (up to four scans in total).</para><para>The minimum measurable input by this function is 1pF and the maximum is either 384pF or limited by the RC time constant (Cs &lt; 1 / (2*5*SnsClk*R), where R is the total sensor series resistance that includes on-chip GPIO resistance ~500 Ohm and external series resistance). The measurement accuracy is about 15%.</para><para>By default, all CapSense sensors (electrodes) that are not being measured are configured to the strong-drive-low state. The shield electrode is also configured to the strong-drive-low state.</para><para>By default, the Cmod capacitor is used for the measurement. If a dedicated Cmod is not available (e.g. the design has CSX widgets only), CintA and CintB capacitors are combined together by the firmware to form a single integration capacitor for the measurement.</para><para>The sensor measurement can be done on all the sensors using the <ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest()</ref> function along with the CY_CAPSENSE_BIST_SNS_CAP mask.</para><para>This function must not be called while the CSD HW block is busy by another state.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID of the sensor (electrode for CSX widgets) within the widget to be measured.</para></parameterdescription>
</parameteritem>
</parameterlist>
For the CSD widgets, a macro for the sensor ID within the specified widget can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as CY_CAPSENSE_&lt;WidgetName&gt;_SNS&lt;SensorNumber&gt;_ID.</para><para>For the CSX widgets, sensorId is an electrode ID and is defined as Rx ID or Tx ID. The first Rx in a widget corresponds to electrodeId = 0, the second Rx in a widget corresponds to electrodeId = 1, and so on. The last Tx in a widget corresponds to electrodeId = (RxNum + TxNum - 1). Macros for Rx and Tx IDs can be found in the CapSense Configuration header file (cycfg_capsense.h) defined as:<itemizedlist>
<listitem><para>CapSense_&lt;WidgetName&gt;_RX&lt;RXNumber&gt;_ID</para></listitem><listitem><para>CapSense_&lt;WidgetName&gt;_TX&lt;TXNumber&gt;_ID.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ptrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the measured capacitance in femtofarads. The user declares a variable of the uint32_t type and passes the variable pointer as the function parameter. If the ptrValue parameter is NULL, the capacitance value is not returned through the parameter but still stored in the corresponding field of the data structure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The measurement completes successfully, the result is valid.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_HW_BUSY_E - The CSD HW block is busy with a previous operation. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_LOW_LIMIT_E - The measurement was executed and the scanning result is below the minimum possible value. The measurement result could be invalid. The sensor might be shorted to VDD or a sensor PCB track was broken (open sensor).</para></listitem><listitem><para>CY_CAPSENSE_BIST_HIGH_LIMIT_E - The measurement was executed and the scanning result is above the maximum possible value. The measurement result could be invalid. The sensor might be shorted to GND.</para></listitem><listitem><para>CY_CAPSENSE_BIST_ERROR_E - An unexpected fault occurred during the measurement.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The measurement was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1670" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="1574" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="101" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1gacc9c800180cd40a8ca3e53321d6a249b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_MeasureCapacitanceShield</definition>
        <argsstring>(uint32_t *ptrValue, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_MeasureCapacitanceShield</name>
        <param>
          <type>uint32_t *</type>
          <declname>ptrValue</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Measures shield electrode capacitance. </para>        </briefdescription>
        <detaileddescription>
<para>This function measures the capacitance of the shield electrode and returns a status of this measurement. The measurement result in femtofarads is stored in the .shieldCap field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure. If the shield consists of several electrodes, the total capacitance of all shield electrodes is reported.</para><para>This function uses an algorithm identical to the sensor capacitance measurement. Refer to the <ref kindref="member" refid="group__group__capsense__low__level_1ga3bf9894c313d4ffce1be841141d6b8e5">Cy_CapSense_MeasureCapacitanceSensor()</ref> function for more details.</para><para>In addition to measuring shield capacitance, this function is used to identify various fault conditions with a shield electrode such as an electrically open shield electrode, e.g. the PCB track is broken or shorted to other nodes in the system - in all of these conditions, this function returns elevated capacitance that can be compared against pre-determined capacitance for the shield electrode to detect a fault condition.</para><para>By default, all CapSense sensors (electrodes) are configured to the strong-drive-low state.</para><para>By default, the Cmod capacitor is used for the measurement. If a dedicated Cmod is not available (e.g. the design has CSX widgets only), CintA and CintB capacitors are combined together by the firmware to form a single integration capacitor which is used for measurement.</para><para>This test can be executed using the CapSense_RunSelfTest() function with the CY_CAPSENSE_BIST_SHIELD_CAP mask.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ptrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the variable the measured capacitance is stored. The user should declare a variable of uint32_t type and pass the variable pointer as the function parameter. If the ptrValue parameter is NULL then the shield capacitance value is not returned through the parameter but is still stored in the .shieldCap field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The measurement completes successfully, the result is valid.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_HW_BUSY_E - The CSD HW block is busy with a previous operation. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_LOW_LIMIT_E - The measurement was executed but the measured raw count is below the minimum possible value. The measurement result could be invalid. The shield might be shorted to VDD or a shield PCB track is broken (the open shield electrode).</para></listitem><listitem><para>CY_CAPSENSE_BIST_HIGH_LIMIT_E - The measurement was executed but the measured raw count is above the maximum possible value. The measurement result is invalid. The sensor might be shorted to GND.</para></listitem><listitem><para>CY_CAPSENSE_BIST_ERROR_E - An unexpected fault occurred during the measurement.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The measurement was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1816" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="1746" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="106" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga80ad1c421ea794bd493bb37e76c48a2b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_MeasureCapacitanceCap</definition>
        <argsstring>(cy_en_capsense_bist_external_cap_id_t integrationCapId, uint32_t *ptrValue, uint32_t maxCapacitance, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_MeasureCapacitanceCap</name>
        <param>
          <type><ref kindref="member" refid="group__group__capsense__enums_1ga07f6f8cbe8fa1cebb08e2bd44e9de29b">cy_en_capsense_bist_external_cap_id_t</ref></type>
          <declname>integrationCapId</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>ptrValue</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>maxCapacitance</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Measures the capacitance of the specified CapSense integration (external) capacitor. </para>        </briefdescription>
        <detaileddescription>
<para>The function measures the capacitance of the specified external capacitor such as Cmod and returns the result through ptrValue, alternatively the measurement result is stored in the corresponding field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure (either .cModCap, .cIntACap, .cIntBCap, or .cShieldCap).</para><para>The maximum measurement capacitance is 25nF. The measurement accuracy is up to 15%. The measurement resolution is 10 bit which corresponds to the maximum capacitance specified by the maxCapacitance parameter. The bigger specified maximum capacitance is, the bigger capacitance value is for one measured count. It is recommended to specify the maximum capacitance twice bigger as the nominal capacitor capacitance. For example, if the nominal Cmod value is 2.2nF, the maxCapacitance parameter is set to 4nF-5nF.</para><para>The function configures all CapSense pins to Strong-drive-low mode that allows detecting a short of the measured capacitor to other pins.</para><para>To measure all the available capacitors, the <ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest()</ref> function can be used with the CY_CAPSENSE_BIST_SNS_SHORT mask. The measured results are stored in the corresponding field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para><para>Measurement can be done only if the CapSense Middleware is in the IDLE state. This function must not be called while the CapSense Middleware is busy. The function is blocking, i.e. waits for the measurement to be completed prior to returning to the caller.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>integrationCapId</parametername>
</parameternamelist>
<parameterdescription>
<para>Indexes of external capacitors to measure their capacitance. There are macros for each of them, namely:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_CMOD_ID for the CSD method Cmod capacitor</para></listitem><listitem><para>CY_CAPSENSE_BIST_CINTA_ID for the CSX method CintA capacitor</para></listitem><listitem><para>CY_CAPSENSE_BIST_CINTB_ID for the CSX method CintB capacitor</para></listitem><listitem><para>CY_CAPSENSE_BIST_CSH_ID for the CSD method Csh capacitor</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ptrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the result of the measurement. The result is calculated as a specified capacitor capacitance value in picofarads. The user declares a variable of the uint32_t type and passes the pointer to this variable as the function parameter. If the ptrValue parameter is NULL then the capacitance value is not returned through the parameter but stored to the corresponding field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>maxCapacitance</parametername>
</parameternamelist>
<parameterdescription>
<para>An expected by the user maximum value of the measured capacitance in nanofarads in the range from 1 to 25 nF.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The measurement completes successfully, the result is valid.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_HW_BUSY_E - The CSD HW block is busy with a previous operation. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_LOW_LIMIT_E - The measurement was performed but the scanning result is below the minimum possible value. The measurement result could be invalid. The capacitor might be shorted to VDD or a PCB track is broken (open capacitor).</para></listitem><listitem><para>CY_CAPSENSE_BIST_HIGH_LIMIT_E - The measurement was performed but the scanning result is above the maximum possible value. The measurement result could be invalid. The capacitor might be shorted to GND.</para></listitem><listitem><para>CY_CAPSENSE_BIST_ERROR_E - An unexpected fault occurred during the measurement.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The measurement was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3103" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="2966" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga0214428f5737ef46a2f755620c4e7316" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref></type>
        <definition>cy_en_capsense_bist_status_t Cy_CapSense_MeasureVdda</definition>
        <argsstring>(uint32_t *ptrValue, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_MeasureVdda</name>
        <param>
          <type>uint32_t *</type>
          <declname>ptrValue</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Measures a VDDA voltage, returns the measured voltage in millivolts through the ptrValue argument and stores it to the .vddaVoltage field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
<para>This function measures the device analog supply voltage (VDDA) without need of explicitly connecting VDDA to any additional GPIO input. This capability can be used in variate cases, for example to monitor the battery voltage.</para><para>A measurement can be done only if the CapSense middleware is in the IDLE state. This function must not be called while the CapSense middleware is busy. The function is blocking, i.e. waits for the conversion to be completed prior to returning to the caller.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ptrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the uint32_t to store measured VDDA voltage value. If the ptrValue parameter is NULL then VDDA voltage value is not returned through the parameter and is stored in the .vddaVoltage field of the <ref kindref="compound" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</ref> structure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a status of the test execution:<itemizedlist>
<listitem><para>CY_CAPSENSE_BIST_SUCCESS_E - The measurement executed successfully.</para></listitem><listitem><para>CY_CAPSENSE_BIST_BAD_PARAM_E - The input parameter is invalid. The measurement was not executed.</para></listitem><listitem><para>CY_CAPSENSE_BIST_ERROR_E - An unexpected fault occurred during the measurement.</para></listitem><listitem><para>CY_CAPSENSE_BIST_FEATURE_DISABLED_E - The BIST feature is disabled in the configuration. The measurement was not executed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3493" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.c" bodystart="3459" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="114" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the function prototypes of the BIST module. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2019-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#if<sp />!defined(CY_CAPSENSE_SELFTEST_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_SELFTEST_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_structure.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="comment">/*<sp />Sense<sp />Clock<sp />frequency<sp />in<sp />Hz<sp />for<sp />sensors<sp />capacitance<sp />measurement.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_BIST_ELTD_CAP_SNSCLK_DEFAULT<sp /><sp /><sp /><sp /><sp /><sp />(375000uL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="comment">/*<sp />The<sp />default<sp />maximum<sp />possible<sp />external<sp />capacitor<sp />charge/discharge<sp />time<sp />in<sp />microseconds<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_BIST_CAP_SETTLING_TIME_DEFAULT<sp /><sp /><sp /><sp />(2u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="comment">/*<sp />The<sp />all<sp />available<sp />tests<sp />mask<sp />for<sp />the<sp />Cy_CapSense_RunSelfTest()<sp />function<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_BIST_RUN_AVAILABLE_SELF_TEST_MASK<sp />(CY_CAPSENSE_BIST_CRC_WDGT<sp />|<sp />\</highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CAPSENSE_BIST_SNS_INTEGRITY<sp />|<sp />\</highlight></codeline>
<codeline lineno="38"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CAPSENSE_BIST_SNS_CAP<sp />|<sp />\</highlight></codeline>
<codeline lineno="39"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CAPSENSE_BIST_SHIELD_CAP<sp />|<sp />\</highlight></codeline>
<codeline lineno="40"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CAPSENSE_BIST_EXTERNAL_CAP<sp />|\</highlight></codeline>
<codeline lineno="41"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CAPSENSE_BIST_VDDA)</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="45"><highlight class="comment">*<sp />CapSense<sp />BIST<sp />Enumerated<sp />Types</highlight></codeline>
<codeline lineno="46"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="50"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29baf3745617d4c520ecd77a4b87a8fe8172">CY_CAPSENSE_BIST_CMOD_ID_E</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00u,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29bacfe90ee851fdb0c5990cf9c255c2142d">CY_CAPSENSE_BIST_CINTA_ID_E</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x01u,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29ba8d03343ec314140673d8b7034caeacc8">CY_CAPSENSE_BIST_CINTB_ID_E</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x02u,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29ba86cb63cafed2d806f3a916f9ab51890f">CY_CAPSENSE_BIST_CSH_ID_E</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x03u,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__capsense__enums_1ga07f6f8cbe8fa1cebb08e2bd44e9de29b">cy_en_capsense_bist_external_cap_id_t</ref>;</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="65"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="66"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="70"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__high__level_1gab1f1514db0566e14ba20fd8647ecb3ad">Cy_CapSense_RunSelfTest</ref>(</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />testEnMask,</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="80"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga8266fcf05ad962580844a2c9c01f2fb8">Cy_CapSense_CheckCRCWidget</ref>(</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga617c2c407a13538ca6662314402e3f61">Cy_CapSense_CheckIntegritySensorRawcount</ref>(</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />rawcountHighLimit,</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />rawcountLowLimit,</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1gab5574b4c085f9cf891457cbf835e6ca1">Cy_CapSense_CheckIntegritySensorBaseline</ref>(</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />baselineHighLimit,</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />baselineLowLimit,</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1gadcc9fa570b4c5aa91c66570f5c6f57d4">Cy_CapSense_CheckIntegritySensorPins</ref>(</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga3bf9894c313d4ffce1be841141d6b8e5">Cy_CapSense_MeasureCapacitanceSensor</ref>(</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />ptrValue,</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1gacc9c800180cd40a8ca3e53321d6a249b">Cy_CapSense_MeasureCapacitanceShield</ref>(</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />ptrValue,</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga80ad1c421ea794bd493bb37e76c48a2b">Cy_CapSense_MeasureCapacitanceCap</ref>(</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_capsense_bist_external_cap_id_t<sp />integrationCapId,</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />ptrValue,</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />maxCapacitance,</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga0214428f5737ef46a2f755620c4e7316">Cy_CapSense_MeasureVdda</ref>(</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />ptrValue,</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="123"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c">cy_en_capsense_bist_status_t</ref><sp />Cy_CapSense_MeasureCapacitanceSensorExt(</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__bist__custom__parameters__t">cy_stc_capsense_bist_custom_parameters_t</ref><sp />*<sp />ptrScanConfig,</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />ptrValue,</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_BistInitialize(</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_BistDisableMode(</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_BistDsInitialize(</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_UpdateCrcWidget(</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal">}</highlight></codeline>
<codeline lineno="146"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2))<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_CAPSENSE_SELFTEST_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" />
  </compounddef>
</doxygen>